Orxonox: orxonox::DefaultWeaponmodeLink Class Reference

# orxonox::DefaultWeaponmodeLink Class Reference

`#include <src/orxonox/objects/weaponsystem/DefaultWeaponmodeLink.h>`

Inheritance diagram for orxonox::DefaultWeaponmodeLink:

List of all members.

## Public Member Functions

| DefaultWeaponmodeLink (BaseObject *creator)
unsigned int | getFiremode () const
unsigned int | getWeaponmode () const
void | setFiremode (const unsigned int firemode)
void | setWeaponmode (const unsigned int weaponmode)
virtual void | XMLPort (Element &xmlelement, XMLPort::Mode mode)
| XML loading and saving.
virtual | ~DefaultWeaponmodeLink ()

## Private Attributes

unsigned int | firemode_
unsigned int | weaponmode_

## Constructor & Destructor Documentation

orxonox::DefaultWeaponmodeLink::DefaultWeaponmodeLink | ( | BaseObject * | creator | ) |

References orxonox::WeaponSystem::FIRE_MODE_UNASSIGNED, firemode_, RegisterObject, orxonox::WeaponSystem::WEAPON_MODE_UNASSIGNED, and weaponmode_.

orxonox::DefaultWeaponmodeLink::~DefaultWeaponmodeLink | ( |  | ) | `[virtual]`

## Member Function Documentation

unsigned int orxonox::DefaultWeaponmodeLink::getFiremode | ( |  | ) | const`[inline]`

Referenced by XMLPort().

unsigned int orxonox::DefaultWeaponmodeLink::getWeaponmode | ( |  | ) | const`[inline]`

Referenced by XMLPort().

void orxonox::DefaultWeaponmodeLink::setFiremode | ( | const unsigned int | firemode | ) | `[inline]`

Referenced by XMLPort().

void orxonox::DefaultWeaponmodeLink::setWeaponmode | ( | const unsigned int | weaponmode | ) | `[inline]`

Referenced by XMLPort().

void orxonox::DefaultWeaponmodeLink::XMLPort | ( | Element & | xmlelement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

XML loading and saving.

Parameters:

  | xmlelement | The XML-element
  | loading | Loading (true) or saving (false)

Returns:
  The XML-element

Reimplemented from orxonox::BaseObject.

References getFiremode(), getWeaponmode(), setFiremode(), setWeaponmode(), SUPER, and XMLPortParam.

## Member Data Documentation

unsigned int orxonox::DefaultWeaponmodeLink::firemode_`[private]`

Referenced by DefaultWeaponmodeLink().

unsigned int orxonox::DefaultWeaponmodeLink::weaponmode_`[private]`

Referenced by DefaultWeaponmodeLink().

The documentation for this class was generated from the following files:

- src/orxonox/objects/weaponsystem/DefaultWeaponmodeLink.h
- src/orxonox/objects/weaponsystem/DefaultWeaponmodeLink.cc